org.apache.maven.scm.provider.synergy.command.checkin

## Class SynergyCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.synergy.command.checkin.SynergyCheckInCommand

All Implemented Interfaces:
  Command, SynergyCommand

    public class SynergyCheckInCommand
    extends AbstractCheckInCommand
    implements SynergyCommand

Version:
  $Id: SynergyCheckInCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Julien Henry

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SynergyCheckInCommand()`

### Method Summary

Methods
`protected CheckInScmResult` `executeCheckInCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message, ScmVersion version)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyCheckInCommand

    public SynergyCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand(ScmProviderRepository repository,
                                         ScmFileSet fileSet,
                                         String message,
                                         ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`